package treeview;

import java.awt.Image;

public class ImageSet {
   protected Image[] images;

   public ImageSet() {
      this((Image[])null);
   }

   public ImageSet(Image[] var1) {
      if (var1 == null) {
         Object var3 = null;
      } else {
         this.images = new Image[var1.length];

         for(int var2 = 0; var2 < var1.length; ++var2) {
            this.images[var2] = var1[var2];
         }

      }
   }

   public Image getImage(int var1) {
      try {
         return this.images[var1];
      } catch (NullPointerException var2) {
         throw new IndexOutOfBoundsException("ImageSet(): no images set for this ImageSet.");
      }
   }

   public ImageSet getImages(int var1, int var2) {
      if (this.images == null) {
         throw new IndexOutOfBoundsException("ImageSet(): no images set for this ImageSet.");
      } else if (var1 < 0) {
         throw new IndexOutOfBoundsException("ImageSet(): offset less than zero");
      } else if (var1 >= this.images.length) {
         throw new IndexOutOfBoundsException("ImageSet(): offset greater than number of images in set");
      } else if (var1 + var2 > this.images.length) {
         throw new IndexOutOfBoundsException("ImageSet(): to many images requested");
      } else {
         Image[] var3 = new Image[var2];

         for(int var4 = 0; var4 < var2; ++var4) {
            var3[var4] = this.images[var1 + var4];
         }

         return new ImageSet(var3);
      }
   }

   public ImageSet getImages(int[] var1) {
      if (this.images == null) {
         throw new IndexOutOfBoundsException("ImageSet(): no images set for this ImageSet.");
      } else if (var1 == null) {
         throw new NullPointerException("ImageSet(): images_to_retrieve is a null reference");
      } else {
         Image[] var2 = new Image[var1.length];

         for(int var3 = 0; var3 < var1.length; ++var3) {
            var2[var3] = this.getImage(var1[var3]);
         }

         return new ImageSet(var2);
      }
   }
}
