package treeview;

import java.awt.Image;
import java.awt.Toolkit;
import java.awt.image.ColorModel;
import java.awt.image.IndexColorModel;
import java.awt.image.MemoryImageSource;

public class TreeViewConnectorImageSet extends ImageSet {
   protected static Image vertical_line;
   protected static Image line;
   protected static Image line_start;
   protected static Image line_tee;
   protected static Image line_end;
   protected static Image button_collapsed;
   protected static Image button_expanded;
   protected static final int IMAGE_WIDTH = 16;
   protected static final int IMAGE_HEIGHT = 16;
   public static final int VERTICAL_LINE = 0;
   public static final int LINE = 1;
   public static final int LINE_START = 2;
   public static final int LINE_TEE = 3;
   public static final int LINE_END = 4;
   public static final int BUTTON_COLLAPSED = 5;
   public static final int BUTTON_EXPANDED = 6;

   private static Image makeImage(byte[] var0, ColorModel var1) {
      return Toolkit.getDefaultToolkit().createImage(new MemoryImageSource(16, 16, var1, var0, 0, 16));
   }

   private static void drawLine(byte[] var0) {
      int var1 = 4;

      do {
         var0[144 + var1] = 1;
         var1 += 2;
      } while(var1 < 15);

   }

   private static void drawEnd(byte[] var0) {
      drawLine(var0);
      int var1 = 1;

      do {
         var0[var1 * 16 + 4] = 1;
         var1 += 2;
      } while(var1 <= 9);

   }

   private static void drawVertLine(byte[] var0) {
      int var1 = 1;

      do {
         var0[var1 * 16 + 4] = 1;
         var1 += 2;
      } while(var1 <= 15);

   }

   private static void drawStart(byte[] var0) {
      drawLine(var0);
      int var1 = 9;

      do {
         var0[var1 * 16 + 4] = 1;
         var1 += 2;
      } while(var1 <= 15);

   }

   private static void drawTee(byte[] var0) {
      drawLine(var0);
      int var1 = 1;

      do {
         var0[var1 * 16 + 4] = 1;
         var1 += 2;
      } while(var1 <= 15);

   }

   public TreeViewConnectorImageSet() {
      super.images = new Image[7];
      super.images[0] = vertical_line;
      super.images[1] = line;
      super.images[2] = line_start;
      super.images[3] = line_tee;
      super.images[4] = line_end;
      super.images[5] = button_collapsed;
      super.images[6] = button_expanded;
   }

   private static void drawMinus(byte[] var0) {
      int var1 = 2;

      do {
         var0[144 + var1] = 2;
         ++var1;
      } while(var1 <= 6);

   }

   private static void drawPlus(byte[] var0) {
      drawMinus(var0);
      int var1 = 7;

      do {
         var0[var1 * 16 + 4] = 2;
         ++var1;
      } while(var1 <= 11);

   }

   private static void drawBox(byte[] var0) {
      int var1 = 5;

      do {
         int var2 = 0;

         do {
            if (var2 == 0) {
               var0[var1 * 16 + var2] = 1;
            } else if (var2 == 8) {
               var0[var1 * 16 + var2] = 1;
            } else if (var1 == 5) {
               var0[var1 * 16 + var2] = 1;
            } else if (var1 == 13) {
               var0[var1 * 16 + var2] = 1;
            } else {
               var0[var1 * 16 + var2] = 3;
            }

            ++var2;
         } while(var2 < 9);

         ++var1;
      } while(var1 < 14);

   }

   static {
      byte[] var1 = new byte[4];
      byte[] var2 = new byte[4];
      byte[] var3 = new byte[4];
      var1[0] = -1;
      var2[0] = -1;
      var3[0] = -1;
      var1[1] = -128;
      var2[1] = -128;
      var3[1] = -128;
      var1[2] = 0;
      var2[2] = 0;
      var3[2] = 0;
      var1[3] = -1;
      var2[3] = -1;
      var3[3] = -1;
      IndexColorModel var0;
      if (System.getProperty("java.vendor").startsWith("Microsoft") && System.getProperty("java.version").startsWith("1.1") && System.getProperty("os.name").startsWith("Windows NT")) {
         var0 = new IndexColorModel(8, 4, var1, var2, var3);
      } else {
         var0 = new IndexColorModel(8, 4, var1, var2, var3, 0);
      }

      byte[] var4 = new byte[256];
      drawVertLine(var4);
      vertical_line = makeImage(var4, var0);
      var4 = new byte[256];
      drawLine(var4);
      line = makeImage(var4, var0);
      var4 = new byte[256];
      drawStart(var4);
      line_start = makeImage(var4, var0);
      var4 = new byte[256];
      drawTee(var4);
      line_tee = makeImage(var4, var0);
      var4 = new byte[256];
      drawEnd(var4);
      line_end = makeImage(var4, var0);
      var4 = new byte[256];
      drawBox(var4);
      drawMinus(var4);
      button_expanded = makeImage(var4, var0);
      var4 = new byte[256];
      drawBox(var4);
      drawPlus(var4);
      button_collapsed = makeImage(var4, var0);
   }
}
